/*
 * Movimentao simples de duas contas bancrias
 */

import p1.aplic.banco.*; // para poder manusear contas bancrias

public class Banco2 {
	public static void main(String args[]) {
		// Abra uma conta de nmero 1 para Joo com CPF 309140605-06
		// A conta ser "referenciada" com a varivel umaConta
		ContaSimples umaConta = new ContaSimples("Joao", "30914060506", 1);
		// Nesta conta, deposite R$1000,00
		umaConta.depositar(1000.0);

		// Abra uma conta de nmero 2 para Ana com CPF 123456789-01
		// A conta ser "referenciada" com a varivel outraConta
		ContaSimples outraConta = new ContaSimples("Ana", "12345678901", 2);
		// Transfira R$400,00 da conta de Joo para a conta de Ana
		umaConta.transferir(outraConta, 400.0);

		// Imprima o saldo da conta de Joo
		double saldo = umaConta.getSaldo();
		System.out.print("Saldo da conta de Joao: ");
		System.out.println(saldo);

		// Imprima o saldo da conta de Ana
		System.out.println("Saldo da conta de Ana: " + outraConta.getSaldo());
		// Imprima o saldo da conta de Ana, novamente, com outro mtodo
		System.out.println("Saldo da conta de Ana: "
				+ outraConta.getSaldoMonetrio());

		// Impressao dos objetos
		System.out.println("Situacao da primeira conta: ");
		System.out.println(umaConta);
		System.out.println("Situacao da segunda conta: ");
		System.out.println(outraConta);
	} // fim do mtodo main
} // fim da classe Banco2
