/*
 * Uso de composio de objetos, passagem de objetos como parmetros,
 * exemplos de laos, etc.
 */

import java.util.ArrayList;
import java.util.List;

import p1.aplic.cartas.Carta;

public class Cartas10 {
	public static void main(String[] args) {

		// vamos construir um baralho comum
		// (no usaremos a classe Baralho)
		// O objeto baralho vai conter outros objetos (Cartas)
		List baralho = new ArrayList();
		// enche o baralho
		for (int valor = Carta.menorValor(); valor <= Carta.maiorValor(); valor++) {
			for (int naipe = Carta.primeiroNaipe(); naipe <= Carta
					.ltimoNaipe(); naipe++) {
				baralho.add(new Carta(valor, naipe));
			}
		}

		// Traa o baralho
		int numCartas = baralho.size();
		for (int posio = 0; posio < numCartas; posio++) {
			// escolhe uma posio aleatria entre posio e numCartas-1
			int posAleatria = posio
					+ (int) ((numCartas - posio) * Math.random());
			// troca as cartas em posio e posAleatria
			Carta temp = (Carta) baralho.get(posio);
			baralho.set(posio, baralho.get(posAleatria));
			baralho.set(posAleatria, temp);
		}

		// imprime o baralho resultante
		System.out.println(baralho);
	} // main
} // Cartas10
