/*
 * Desenvolvido para a disciplina Programacao 2
 * Curso de Bacharelado em Cincia da Computao
 * Departamento de Sistemas e Computao
 * Universidade Federal da Paraba
 *
 * Copyright (C) 2001 Universidade Federal da Paraba.
 * No redistribuir sem permisso.
 */
 
package p1.aplic.mancala.jogo;

/**
 * A classe que representa qualquer exceo do jogo Mancala.
 *
 * @author   Jacques Philippe Sauv, jacques@dsc.ufpb.br
 * @version 1.0
 * <br>
 * Copyright (C) 2001 Universidade Federal da Paraba.
 */
public class MancalaException extends Exception {
  /**
   * Constroi uma MancalaException
   *
   */
  public MancalaException() {
    super();
  }

  /**
   * Constroi uma MancalaException
   *
   * @param   motivo   O motivo da exceo.
   */
  public MancalaException(String motivo) {
    super(motivo);
  }
}
